Subject: rev 18 - trunk trunk/lisp

From: [email-masked]
Date: Wed, 21 Aug 2002 18:51:17 -0500

Author: kfogel
Date: Wed, 21 Aug 2002 18:51:11 -0500
New Revision: 18

Modified:
   trunk/configure.in
   trunk/lisp/gene-sgroup.el
Log:
Fix Loredana's group selection bug:

* lisp/gene-sgroup.el
  (gene-sgroup-selected-group): Fix a type mismatch.
  (gene-sgroup-generate-face, gene-sgroup-generate-mouse-face):
  Return the face itself, not the face's name.

* configure.in 
  (VERSION): Bump to 0.1.185.  I don't think we should bump the
  version for every bug fix, but I'm planning to publish a new dist
  after this build, since the improvement is so dramatic.

Here is the original bug report:

   From: Loredana Lo Conte <[email-masked]>
   Subject: Re: Ale rev-9
   To: [email-masked]
   Date: Sun, 11 Aug 2002 20:26:15 +0100 (BST)

   [...]

   2) while before I was able at least to define a group with the mouse, now
   I can't (i.e., selecting sequence id generates a "wrong type argument,
   sequencep, 1", the menu disappears, it reappears if I click on the
   sequence area, but if I click on the menu itself ale crashes). I tried to
   change the lock property for few sequences to "unlock", but it does not
   seem to help.

   [...]

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Wed Aug 21 18:51:15 2002
@@ -7,7 +7,7 @@
 
 dnl Set the version number here, so it gets into all the Makefiles.
 AC_SUBST(VERSION)
-VERSION=0.1.184
+VERSION=0.1.185
 
 dnl Find Emacs, and 
 AC_PATH_PROG(EMACS,emacs)

Modified: trunk/lisp/gene-sgroup.el
==============================================================================
--- trunk/lisp/gene-sgroup.el	(original)
+++ trunk/lisp/gene-sgroup.el	Wed Aug 21 18:51:15 2002
@@ -149,7 +149,7 @@
    (prog1
        ;; This selects it, too:
        (gene-sgroup-make-new-group
-        (concat "Unnamed " gene-sgroup-unnamed-count))
+        (concat "Unnamed " (number-to-string gene-sgroup-unnamed-count)))
      (setq gene-sgroup-unnamed-count
            (1+ gene-sgroup-unnamed-count)))))
 
@@ -398,7 +398,7 @@
 background colors."
   (let ((face (make-face (gensym "gene-sgroup-face-"))))
     (set-face-foreground face (gene-check-color-allowable color))
-    (face-name face)))
+    face))

 (defun gene-sgroup-generate-mouse-face (color)
@@ -409,7 +409,7 @@
   (let ((face (make-face (gensym "gene-sgroup-mouse-face-"))))
     (set-face-foreground face (gene-check-color-allowable color))
     (make-face-bold face nil t)
-    (face-name face)))
+    face))
 
 
 ;;; Core functions